Page MenuHomePhabricator

In SyntaxHighlight VE inspector, language dropdown opens automatically when the inspector is opened on a second node
Closed, ResolvedPublic1 Story Points

Description

Details

Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterVE: Focus, but don't open, language input on open

Event Timeline

Esanders created this task.Sep 16 2015, 6:35 PM
Esanders assigned this task to Krenair.
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 6:35 PM

I guess the focus should first go to the code box?

Jdforrester-WMF triaged this task as Medium priority.Sep 16 2015, 6:36 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Can't reproduce this without selecting (None) as the language the first time, which should be fixed by https://gerrit.wikimedia.org/r/238830

I was testing on existing nodes which have a lang set.

It only happens when the 2nd opening is on a different node, i.e. it is setup with different data.

Esanders renamed this task from In SyntaxHighlight VE inspector, language dropdown opens automatically the second time the inspector is opened to In SyntaxHighlight VE inspector, language dropdown opens automatically when the inspector is opened on a second node.Sep 16 2015, 10:12 PM

<Krenair> edsanders, I'm wondering whether that automatic dropdown behaviour is actually useful now that we explicitly allow a blank language
<Krenair> maybe only auto-open if there's no contents and the language is none?

Krenair removed Krenair as the assignee of this task.Sep 28 2015, 4:31 PM
Krenair added a subscriber: Krenair.

Change 247320 had a related patch set uploaded (by Esanders):
VE: Focus, but don't open, language input on open

https://gerrit.wikimedia.org/r/247320

Change 247320 merged by jenkins-bot:
VE: Focus, but don't open, language input on open

https://gerrit.wikimedia.org/r/247320

Jdforrester-WMF closed this task as Resolved.Oct 22 2015, 3:39 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.